summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-03-21 03:02:03 -0400
committer David Spencer <idlemoor@slackbuilds.org>2017-03-25 13:28:22 +0000
commit9f19b3e794091e125e192a25e3498bf92d4ab2c3 (patch)
tree42890b9e4f4e8dd9a6bb1ffd2687431cf80296a1 /multimedia
parentd237b6d7f9564257de33a3f22f14abb564d6c200 (diff)
downloadslackbuilds-9f19b3e794091e125e192a25e3498bf92d4ab2c3.tar.gz
slackbuilds-9f19b3e794091e125e192a25e3498bf92d4ab2c3.tar.xz
multimedia/mplayer-codecs32: Allow VERSION override, i486=>i586.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mplayer-codecs32/mplayer-codecs32.SlackBuild22
1 files changed, 10 insertions, 12 deletions
diff --git a/multimedia/mplayer-codecs32/mplayer-codecs32.SlackBuild b/multimedia/mplayer-codecs32/mplayer-codecs32.SlackBuild
index cdef81036d..14f6cdbee5 100644
--- a/multimedia/mplayer-codecs32/mplayer-codecs32.SlackBuild
+++ b/multimedia/mplayer-codecs32/mplayer-codecs32.SlackBuild
@@ -23,12 +23,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mplayer-codecs32
-VERSION=20110131
+VERSION=${VERSION:-20110131}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+case "${ARCH:-$( uname -m )}" in
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,15 +40,13 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
-if [ "$ARCH" != "i486" ]; then
- if [ "$ARCH" = "x86_64" ] ; then
- printf "\nThis is for 32-bit codecs only. If you need 64-bit codecs,\n"
- printf "then you need the \"mplayer-codecs64\" package instead.\n\n"
- exit 1
- else
- printf "$ARCH is not supported.\n"
- exit 1
- fi
+if [ "$ARCH" = "x86_64" ] ; then
+ printf "\nThis is for 32-bit codecs only. If you need 64-bit codecs,\n"
+ printf "then you need the \"mplayer-codecs64\" package instead.\n\n"
+ exit 1
+elif [ "$ARCH" != "i586" ]; then
+ printf "\n$ARCH is not supported (only i586).\n\n"
+ exit 1
fi
rm -rf $PKG